<?xml version="1.0" encoding="SHIFT_JIS"?>
<!--
  genji.xsl
  Written by Masaya YAMAGUCHI, 2014-07-29
  This script is distributed under GNU Public License.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- \p -->

  <xsl:template match="genji">
    <html xmlns:xhtml="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=shift_jis"/>
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <link rel="stylesheet" href="genji.css" type="text/css" />
	<title>
	  <xsl:value-of select="@main_title" />
	  <xsl:text>F</xsl:text>
          <xsl:value-of select="@title1" />i<xsl:value-of select="@title2" />j
	</title>
      </head>

      <body>
        <h1>
          <xsl:value-of select="@main_title" />
        </h1>
        <h2>
          <xsl:value-of select="@title1" />i<xsl:value-of select="@title2" />j
        </h2>
        <xsl:apply-templates/>
	<!-- reffer to http://www.feedthebot.com/pagespeed/defer-loading-javascript.html -->
	<script type="text/javascript">
	  function downloadJSAtOnload() {location.href="#himawari";}
	  if (window.addEventListener)
	  window.addEventListener("load", downloadJSAtOnload, false);
	  else if (window.attachEvent)
	  window.attachEvent("onload", downloadJSAtOnload);
	  else window.onload = downloadJSAtOnload;
	</script>
      </body>
    </html>
</xsl:template>


<xsl:template match="page">
  <div class="page">
  <p>i<xsl:value-of select="@no"/>j</p>
  </div>
</xsl:template>

<xsl:template match="comment">
  <div style="font-size:smaller">
    <xsl:apply-templates/>
  </div>
</xsl:template>

<xsl:template match="comment/text()">
    <xsl:call-template name="replace">
      <xsl:with-param name="str" select="." />
    </xsl:call-template>
</xsl:template>


<xsl:template match="waka">
  <span style="font-weight: bold">
    <xsl:apply-templates/>
  </span>
</xsl:template>


<xsl:template match="br">
  <br />
</xsl:template>


<xsl:template match="navi">
  <div style="font-size:smaller">
    <xsl:apply-templates/>
  </div>
</xsl:template>


<xsl:template match="a">
    <xsl:copy-of select="." />
</xsl:template>


<xsl:template match="sp">
  <xsl:apply-templates/>
</xsl:template>


<xsl:template match="tg">
  <span class="target_char">
    <xsl:attribute name="id">
      <xsl:value-of select="@id"/>
    </xsl:attribute>
    <xsl:apply-templates/>
  </span>
</xsl:template>


  <!--
      Refered from
      http://www.geocities.co.jp/SiliconValley-Oakland/8718/faqxslt/replace2.xsl.txt
  -->
  <xsl:template name="replace">
    <xsl:param name="str"/>
    <xsl:choose>
      <xsl:when test="contains($str,'&#10;')">
	<!-- strFl𕶎ɕϊ@$str&#10;isj܂܂邩ǂ -->
        <xsl:value-of select="substring-before($str,'&#10;')"/><br />
	<!-- substring-beforeF&#10;̑O̕o -->
        <xsl:call-template name="replace">
          <xsl:with-param name="str" select="substring-after($str,'&#10;')"/>
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$str"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
